import { ElementRef, EventEmitter, OnChanges, OnDestroy, OnInit } from '@angular/core';
import { PaginationService } from './pagination.service';
export declare class PaginationComponent implements OnInit, OnChanges, OnDestroy {
    private _paginationService;
    readonly template: ElementRef;
    id: string;
    maxSize: number;
    directionLinks: boolean;
    previousLabel: string;
    nextLabel: string;
    autoHide: boolean;
    readonly pageChange: EventEmitter<number>;
    showClass: boolean;
    totalItems: number;
    itemsPerPage: number;
    private changeSub;
    constructor(_paginationService: PaginationService);
    ngOnInit(): void;
    ngOnChanges(): void;
    ngOnDestroy(): void;
    goToFirstPage(): void;
    goToPreviousPage(): void;
    goToNextPage(): void;
    setCurrentPage(page: number): void;
    shouldBeHidden(): boolean;
    /**
     * Updates the page links and checks that the current page is valid. Should run whenever the
     * PaginationService.change stream emits a value matching the current ID, or when any of the
     * input values changes.
     */
    private _updatePageLinks;
    getCurrentPage(): number;
    /**
     * Checks that the instance.currentPage property is within bounds for the current page range.
     * If not, return a correct value for currentPage, or the current value if OK.
     */
    private outOfBoundCorrection;
}
